<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

    <TextView
        android:id="@+id/cmdid"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="12dp"
        android:text=""
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/btnEnableCam3V3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="12dp"
        android:text="Cam3V3 On"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cmdid" />

    <Button
        android:id="@+id/btnDisableCam3V3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:text="Cam3V3 Off"
        app:layout_constraintStart_toEndOf="@+id/btnEnableCam3V3"
        app:layout_constraintTop_toTopOf="@+id/btnEnableCam3V3" />

    <Button
        android:id="@+id/btnTurnOtgOn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="12dp"
        android:text="OTG On"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btnEnableCam3V3" />

    <Button
        android:id="@+id/btnTurnOtgOff"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:text="OTG Off"
        app:layout_constraintStart_toEndOf="@+id/btnTurnOtgOn"
        app:layout_constraintTop_toTopOf="@+id/btnTurnOtgOn" />

    <Button
        android:id="@+id/btnTurnAppOn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="12dp"
        android:text="APP On"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btnTurnOtgOn" />

    <Button
        android:id="@+id/btnTurn485On"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="12dp"
        android:text="485 On"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btnTurnAppOn" />

    <Button
        android:id="@+id/btnTurn485Off"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:text="485 Off"
        app:layout_constraintStart_toEndOf="@+id/btnTurn485On"
        app:layout_constraintTop_toTopOf="@+id/btnTurn485On" />

    <Switch
        android:id="@+id/btn485ReadMode"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="485Read"
        app:layout_constraintStart_toEndOf="@+id/btnTurn485Off"
        app:layout_constraintTop_toTopOf="@+id/btnTurn485On" />



</androidx.constraintlayout.widget.ConstraintLayout>